
name: emacs
title: GNU Emacs
version: '30.2'
summary: GNU Emacs is the extensible self-documenting text editor
description: |
  Emacs is the extensible, customizable, self-documenting real-time
  display editor.

  Features include:
    * Content-aware editing modes, including syntax coloring, for many file types.
    * Complete built-in documentation, including a tutorial for new users.
    * Full Unicode support for nearly all human scripts.
    * Highly customizable, using Emacs Lisp code or a graphical interface.
    * An entire ecosystem of functionality beyond text editing, including a project
      planner, mail and news reader, debugger interface, calendar, and more.
    * A packaging system for downloading and installing extensions.

  This snap is built via the build.snapcraft.io service from the
  snapcraft.yaml definition at https://github.com/alexmurray/emacs-snap to
  ensure source and build transparency.

  The snap offers both the 'gtk' and 'pgtk' variants in separate snap tracks -
  the 'latest' track offers the gtk variant whereas the 'pgtk' track offers the
  pgtk variant of emacs.
license: GPL-3.0+
architectures:
- amd64
base: core24
assumes:
- command-chain
apps:
  emacs:
    command: usr/bin/emacs
    command-chain:
    - setup-env
  emacsclient:
    command: emacsclient
  ctags:
    command: usr/bin/ctags
  ebrowse:
    command: usr/bin/ebrowse
  etags:
    command: usr/bin/etags
confinement: classic
grade: stable
